Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 154978 - provide archetype catalog support in maven project wizard
provide archetype catalog support in maven project wizard
Status: RESOLVED FIXED
Product: projects
Classification: Unclassified
Component: Maven
6.x
All All
: P3 (vote)
: 6.x
Assigned To: David Simonek
issues@platform
:
Depends on: 176547
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-09 00:55 UTC by Srinivasan Chikkala
Modified: 2011-03-11 15:41 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Srinivasan Chikkala 2008-12-09 00:55:48 UTC
If the archetype catalog is available locally or at remote repository, maven project wizard should be able to use it to
display the archetypes available in the catalog. User should be able to pick a specified archetype catalog just to see
only the archetypes available in that catalog for selection.

Note that this functionality is available in Eclipse maven integration and I find it useful.
Comment 1 Quality Engineering 2009-06-26 20:46:14 UTC
Integrated into 'main-golden', will be available in build *200906261401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/b6ac2b6d3214
User: Milos Kleint <mkleint@netbeans.org>
Log: #154978 if local archetype catalog is present show it as a tree node.
Comment 2 Milos Kleint 2009-08-20 11:45:09 UTC
should be partially implemented. local archetype catalog and the default catalog are visible. What is still missing is
adding/removing catalogs..
Comment 3 David Simonek 2009-09-04 11:32:11 UTC
Adding, removing catalogs now tracked in 171466, so closing this one as completed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo